using UnityEngine;

namespace Syntriax.Modules.Movement
{
    public abstract class MovementBase2D : MovementBase
    {
        protected abstract Vector2 moveValue { get; set; }

        public override void Move(float x = 0, float y = 0, float z = 0)
            => moveValue = new Vector2(x, y) * BaseSpeed * MovementMultiplier;
    }
}
